summaryrefslogtreecommitdiffstats
path: root/development
diff options
context:
space:
mode:
author Strahil Yordanov <strahilski@yahoo.com>2018-03-17 00:36:32 +0000
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2018-03-17 08:51:50 +0700
commit7dc3f54923e257bd796741485d7533b1264cafa9 (patch)
tree5bbf90a2d94f3071d833d5eae89005017ec7393d /development
parent5dbe209a4d7b7a70fd34d006f71be5e172ef69a9 (diff)
downloadslackbuilds-7dc3f54923e257bd796741485d7533b1264cafa9.tar.gz
slackbuilds-7dc3f54923e257bd796741485d7533b1264cafa9.tar.xz
development/openjdk8: Updated for version 8u161.
Signed-off-by: David Spencer <idlemoor@slackbuilds.org>
Diffstat (limited to 'development')
-rw-r--r--development/openjdk8/README5
-rw-r--r--development/openjdk8/openjdk8.SlackBuild9
-rw-r--r--development/openjdk8/openjdk8.info38
3 files changed, 28 insertions, 24 deletions
diff --git a/development/openjdk8/README b/development/openjdk8/README
index 98522b4f3d..e11a5a72ad 100644
--- a/development/openjdk8/README
+++ b/development/openjdk8/README
@@ -26,4 +26,7 @@ Internal compiler error: java.lang.NullPointerException at
org.eclipse.jdt.internal.compiler.ReadManager.run(ReadManager.java:166)
simply run the build again. This happens early so it shouldn't be that of a
-problem. At least 1 out of 5 runs so far have always succeded.
+problem. At least 1 out of 5 runs so far have always succeded.
+
+If you already have 'openjdk8' on your system (and are compiling a newer
+version, for example) you don't need the 'openjdk' dependency.
diff --git a/development/openjdk8/openjdk8.SlackBuild b/development/openjdk8/openjdk8.SlackBuild
index 034e80124c..d3b70b43c8 100644
--- a/development/openjdk8/openjdk8.SlackBuild
+++ b/development/openjdk8/openjdk8.SlackBuild
@@ -2,7 +2,7 @@
# Slackware build script for OpenJDK
-# Copyright 2017 Strahil Yordanov, Sofia, Bulgaria
+# Copyright 2018 Strahil Yordanov, Sofia, Bulgaria
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -23,12 +23,12 @@
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
PRGNAM=openjdk8
-VERSION=${VERSION:-8u151b12}
+VERSION=${VERSION:-8u161}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
DVER=1.8.0_$(printf $VERSION | cut -du -f2)
-ICEDTEA=icedtea-3.6.0
+ICEDTEA=icedtea-3.7.0
if [ -z "$ARCH" ]; then
case "$( uname -m )" in
@@ -53,6 +53,8 @@ else
fi
BOOT_JAVA=/usr/lib${LIBDIRSUFFIX}/openjdk
+[ ! -d ${BOOT_JAVA} ] && BOOT_JAVA=${BOOT_JAVA}8
+[ ! -d ${BOOT_JAVA} ] && { echo "Boot java not found"; exit 1; }
set -e
@@ -84,7 +86,6 @@ JAVA_HOME=${BOOT_JAVA} PATH=${BOOT_JAVA}/bin:$PATH ../$ICEDTEA/configure \
--with-hotspot-src-zip="$CWD/hotspot.tar.xz" \
--disable-docs \
--disable-downloading
-
JAVA_HOME=${BOOT_JAVA} PATH=${BOOT_JAVA}/bin:$PATH LOG=trace make
cd $PKG
diff --git a/development/openjdk8/openjdk8.info b/development/openjdk8/openjdk8.info
index 99d71c95d0..734e2943f8 100644
--- a/development/openjdk8/openjdk8.info
+++ b/development/openjdk8/openjdk8.info
@@ -1,24 +1,24 @@
PRGNAM="openjdk8"
-VERSION="8u151b12"
+VERSION="8u161"
HOMEPAGE="http://openjdk.java.net"
-DOWNLOAD="http://icedtea.classpath.org/download/source/icedtea-3.6.0.tar.xz \
- http://icedtea.classpath.org/download/drops/icedtea8/3.6.0/openjdk.tar.xz \
- http://icedtea.classpath.org/download/drops/icedtea8/3.6.0/corba.tar.xz \
- http://icedtea.classpath.org/download/drops/icedtea8/3.6.0/jaxp.tar.xz \
- http://icedtea.classpath.org/download/drops/icedtea8/3.6.0/jaxws.tar.xz \
- http://icedtea.classpath.org/download/drops/icedtea8/3.6.0/jdk.tar.xz \
- http://icedtea.classpath.org/download/drops/icedtea8/3.6.0/langtools.tar.xz \
- http://icedtea.classpath.org/download/drops/icedtea8/3.6.0/nashorn.tar.xz \
- http://icedtea.classpath.org/download/drops/icedtea8/3.6.0/hotspot.tar.xz"
-MD5SUM="1440081992e28031c4451a7bf30b754a \
- 37bc76dcf76855ae20cdea8b4b3eaf34 \
- a7fbb5da0c62ba76fa931e21165ea5b1 \
- 897c3588947c5310028505485111bd87 \
- d335e7198f15134d9a6f05e5325d41ae \
- 4ad0e6370c59d85c2b4578334a6a2c62 \
- 45d8775e1eaf78f422591bde7e459c38 \
- 90ec301be3b9c016abc5e6804f7efbeb \
- 7f9248ac4155b3dd134ecf34f7fe359c"
+DOWNLOAD="http://icedtea.classpath.org/download/source/icedtea-3.7.0.tar.xz \
+ http://icedtea.classpath.org/download/drops/icedtea8/3.7.0/openjdk.tar.xz \
+ http://icedtea.classpath.org/download/drops/icedtea8/3.7.0/corba.tar.xz \
+ http://icedtea.classpath.org/download/drops/icedtea8/3.7.0/jaxp.tar.xz \
+ http://icedtea.classpath.org/download/drops/icedtea8/3.7.0/jaxws.tar.xz \
+ http://icedtea.classpath.org/download/drops/icedtea8/3.7.0/jdk.tar.xz \
+ http://icedtea.classpath.org/download/drops/icedtea8/3.7.0/langtools.tar.xz \
+ http://icedtea.classpath.org/download/drops/icedtea8/3.7.0/nashorn.tar.xz \
+ http://icedtea.classpath.org/download/drops/icedtea8/3.7.0/hotspot.tar.xz"
+MD5SUM="648a52c2f008ee0bbb865a2a1768891b \
+ c686c8d283bc9f89a8874c5344d4e83a \
+ 2ee9aa7e85ed2fb9af1ab87fb87e404b \
+ c3a5eb1567ac3d8cbfa3dd8cd0848b6f \
+ 286778356533d5fe3d8ab9c2c747fe3b \
+ 84c39ca647e24fe81c08bc10e016d194 \
+ c03e84cceca1d9173b409920fad3aa93 \
+ 4895a6a002374c0dea0be055cb75b9a5 \
+ 85693d6cd04ca1b9a694afa81e7c4dda"
DOWNLOAD_x86_64=""
MD5SUM_x86_64=""
REQUIRES="openjdk"